Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.colorSpaces
Class SeparationColor

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.contents.colorSpaces.Color<PdfArray>
              org.pdfclown.documents.contents.colorSpaces.LeveledColor
                  org.pdfclown.documents.contents.colorSpaces.SeparationColor

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF12)
    public final class SeparationColor

extends LeveledColor

Separation color value [PDF:1.6:4.5.5].

Version:
  0.1.2, 02/04/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static SeparationColor` | `Default`

Constructor Summary
`SeparationColor(double intensity)`

Method Summary
`Object` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`static SeparationColor` | `get(PdfArray components)` Gets the color corresponding to the specified components.
`double` | `getIntensity()` Gets the color intensity.
`void` | `setIntensity(double value)`

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.LeveledColor
`equals, getComponents, getComponentValue, hashCode, setComponentValue`

Methods inherited from class org.pdfclown.documents.contents.colorSpaces.Color
`getColorSpace, normalizeComponent`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Default

    public static final SeparationColor Default

Constructor Detail

### SeparationColor

    public SeparationColor(double intensity)

Method Detail

### get

    public static SeparationColor get(PdfArray components)

  Gets the color corresponding to the specified components.

  Parameters:
    `components` - Color components to convert.
  Since:
    0.1.0

### clone

    public Object clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfArray>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getIntensity

    public double getIntensity()

  Gets the color intensity.

### setIntensity

    public void setIntensity(double value)

  See Also:
    `getIntensity()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.